org.richfaces.renderkit.html

## Class PanelMenuGroupRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.DivPanelRenderer
      - - org.richfaces.renderkit.html.PanelMenuGroupRenderer

-     public class PanelMenuGroupRenderer
      extends DivPanelRenderer

  Since:
    2010-10-25
  Author:
    akolonitsky

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BEFORE_COLLAPSE`
    `static String` | `BEFORE_EXPAND`
    `static String` | `BEFORE_SELECT`
    `static String` | `BEFORE_SWITCH`
    `static String` | `COLLAPSE`
    `static String` | `EXPAND`
    `static String` | `SELECT`
    `static String` | `SWITCH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelMenuGroupRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
    `protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
    `String` | `getCssClass(AbstractPanelMenuItem item, String postfix)`
    `boolean` | `getRendersChildren()`
    `protected org.ajax4jsf.javascript.JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getStyleClass(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer

      `addOnCompleteParam, addOnCompleteParam, attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, doEncodeItemBegin, doEncodeItemEnd, getPassThroughAttributes, getStyle, styleElement, writeJavaScript`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLLAPSE

          public static final String COLLAPSE

      See Also:
        Constant Field Values

    - #### EXPAND

          public static final String EXPAND

      See Also:
        Constant Field Values

    - #### SWITCH

          public static final String SWITCH

      See Also:
        Constant Field Values

    - #### BEFORE_COLLAPSE

          public static final String BEFORE_COLLAPSE

      See Also:
        Constant Field Values

    - #### BEFORE_EXPAND

          public static final String BEFORE_EXPAND

      See Also:
        Constant Field Values

    - #### BEFORE_SWITCH

          public static final String BEFORE_SWITCH

      See Also:
        Constant Field Values

    - #### BEFORE_SELECT

          public static final String BEFORE_SELECT

      See Also:
        Constant Field Values

    - #### SELECT

          public static final String SELECT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelMenuGroupRenderer

          public PanelMenuGroupRenderer()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Description copied from class: `RendererBase`
      Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.
      Overrides:
        `doDecode` in class `RendererBase`

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws IOException

      Description copied from class: `RendererBase`
      Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `encodeBegin` method.
      Overrides:
        `doEncodeBegin` in class `DivPanelRenderer`
      Throws:
        `IOException`

    - #### getCssClass

          public String getCssClass(AbstractPanelMenuItem item,
                           String postfix)

    - #### getStyleClass

          protected String getStyleClass(javax.faces.component.UIComponent component)

      Overrides:
        `getStyleClass` in class `DivPanelRenderer`

    - #### getScriptObject

          protected org.ajax4jsf.javascript.JSObject getScriptObject(javax.faces.context.FacesContext context,
                                                         javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObject` in class `DivPanelRenderer`

    - #### getScriptObjectOptions

          protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObjectOptions` in class `DivPanelRenderer`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.
      Overrides:
        `doEncodeEnd` in class `DivPanelRenderer`
      Throws:
        `IOException`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Description copied from class: `RendererBase`
      Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `RendererBase`
      Returns:

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### doEncodeChildren

          protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                   throws IOException

      Overrides:
        `doEncodeChildren` in class `RendererBase`
      Throws:
        `IOException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.